# esda.shape.isoareal_quotient

esda.shape.isoareal_quotient(collection)

  The Isoareal quotient, defined as the ratio of a polygon’s perimeter to the perimeter of the equi-areal circle.

  Parameters:
    collection `GeoSeries`, `GeoDataFrame`, `numpy.ndarray`, `list`

      Input collection of polygons.

  Returns:
    `numpy.ndarray`

      An array of the same length as the input collection, containing the Isoareal quotient for each polygon in the collection.

  Notes

  Altman’s \(PA_3\) measure [Alt98].

  The formula is given by:

  \[IAQ = \frac{2 \sqrt{\pi A}}{P}\]

  Where \(A\) is the area of the polygon and \(P\) is the perimeter of the polygon.

  With some manipulation, \(IAQ\) can also be expressed as the square root of the Isoperimetric quotient, given by

  \[IAQ = \frac{2 \sqrt{\pi A}}{P} = \sqrt{\frac{(2 \sqrt{\pi A})^2}{P^2}} = \sqrt{\frac{4 \pi A}{P^2}} = \sqrt{IPQ}\]

  Therefore, isoareal_quotient is implemented as numpy.sqrt(isoperimetric_quotient(collection)). Importantly, this means that the \(IAQ\) and \(IPQ\) will rank shapes identically.

  The \(IAQ\) is scale invariant and due to the inclusion of \(\pi\) in the formula, it is bounded between 0 and 1, with 1 representing a perfect circle, the most compact shape by this measure.